//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System.Web.UI;

using CommunityServer.Blogs.Components;
using CommunityServer.Components;

namespace CommunityServer.Blogs.Controls
{
    /// <summary>
    /// Renders the name/description of the currently selected blog
    /// </summary>
    public class CurrentBlogControl : Control
    {
        public CurrentBlogControl()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        protected override void Render(HtmlTextWriter writer)
        {
            string appKey = CSContext.Current.ApplicationKey;
            if(appKey != null)
            {
                Weblog wl = Weblogs.GetWeblog(appKey,true);
                if(wl != null)
                    writer.Write(string.Format(ResourceManager.GetString("Weblog_Current"),wl.Name));
            }
        }

    }
}
